## rserpooldemo-3.2.3.tar.xz

=== CMakeLists.txt ===
# ##########################################################################
#
#              //===//   //=====   //===//   //       //   //===//
#             //    //  //        //    //  //       //   //    //
#            //===//   //=====   //===//   //       //   //===<<
#           //   \\         //  //        //       //   //    //
#          //     \\  =====//  //        //=====  //   //===//   Version III
#
#             ###################################################
#           ======  D E M O N S T R A T I O N   S Y S T E M  ======
#             ###################################################
#
# ############# An Efficient RSerPool Prototype Implementation #############
#
#   Copyright (C) 2002-2025 by Thomas Dreibholz
#
#   Authors: Thomas Dreibholz, thomas.dreibholz@gmail.com
#            Sebastian Rohde, rohde@iem.uni-due.de
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
PROJECT(rserpooldemo LANGUAGES CXX)

SET(BUILD_MAJOR "3")
SET(BUILD_MINOR "2")
SET(BUILD_PATCH "3")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#############################################################################
#### OS-DEPENDENT                                                        ####
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
#### REQUIREMENTS                                                        ####
#############################################################################

# ====== Qt =================================================================
SET(CMAKE_AUTOMOC ON)
FIND_PACKAGE(QT NAMES Qt6 COMPONENTS Core Network Widgets Xml)
IF (NOT QT_FOUND)
    FIND_PACKAGE(QT NAMES Qt5 REQUIRED COMPONENTS Core Network Widgets Xml)
ENDIF()
MESSAGE("Using Qt version ${QT_VERSION_MAJOR}!")
FIND_PACKAGE(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Network Widgets Xml)


#############################################################################
#### SOURCE DIRECTORIES                                                  ####
#############################################################################

ADD_SUBDIRECTORY(src)

=== freebsd/rserpooldemo/Makefile ===
# Created by: Thomas Dreibholz <thomas.dreibholz@gmail.com>

PORTNAME=	rserpooldemo
DISTVERSION=	3.2.3
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/rserpool/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	RSerPool Demo Tool
WWW=		https://www.nntb.no/~dreibh/rserpool/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

BUILD_DEPENDS=	bash:shells/bash \
		gimp:graphics/gimp3-app \
		gm:graphics/GraphicsMagick \
		exiftool:graphics/p5-Image-ExifTool \
		getopt>=0:misc/getopt \
		noto-sans>=0:x11-fonts/noto-sans
RUN_DEPENDS=	getopt>=0:misc/getopt \
		fractgen:graphics/fractgen \
		rspserver:net/rsplib

USES=		cmake desktop-file-utils gl qt:6 \
		shared-mime-info tar:xz
USE_GL=		gl opengl
USE_QT=         base

CMAKE_ARGS+=	-DCMAKE_INSTALL_MANDIR=${PREFIX}/share/man

.include <bsd.port.mk>

=== src/background/CMakeLists.txt ===
# --------------------------------------------------------------------------
#
#           #####          #     #   ###   #
#          #     #  #    # ##    #    #    #          ##    #####
#          #        #    # # #   #    #    #         #  #   #    #
#           #####   #    # #  #  #    #    #        #    #  #####
#                #  #    # #   # #    #    #        ######  #    #
#          #     #  #    # #    ##    #    #        #    #  #    #
#           #####    ####  #     #   ###   #######  #    #  #####
#
# --------------------------------------------------------------------------
#
# SuNILab Desktop Background Script
# Copyright (C) 2017-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY# without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com


#############################################################################
# INITIALISE
#############################################################################

CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
PROJECT(undefined C)   # to be set in Settings.input
INCLUDE(Settings.input)


#############################################################################
# INSTALLATION_DIRECTORIES
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
# OPTIONS
#############################################################################

OPTION(FLAT_DIRECTORY_STRUCTURE "Use flat directory structure" ${TDD_FLAT_DIRECTORY_STRUCTURE})

OPTION(INSTALL_ORIGINALS "Install original images as well" ${TDD_INSTALL_ORIGINALS})

OPTION(INSERT_HOSTNAME "Insert hostnames into images" ${TDD_INSERT_HOSTNAME})

OPTION(BUILD_MIRRORED "Build mirrored" ${TDD_BUILD_MIRRORED})

OPTION(BUILD_BOOTSPLASH "Build bootsplash JPEG" ${TDD_BUILD_BOOTSPLASH})
IF(NOT TDD_BOOTSPLASH_RESOLUTIONS)
   # Legacy option: use TDD_BOOTSPLASH_RESOLUTION (one resolution only)
   SET(TDD_BOOTSPLASH_RESOLUTIONS ${TDD_BOOTSPLASH_RESOLUTION})
ENDIF()
IF(BUILD_BOOTSPLASH)
   LIST(APPEND TDD_RESOLUTIONS "${TDD_BOOTSPLASH_RESOLUTIONS}")
   LIST(APPEND TDD_VARIANTS    "${TDD_BOOTSPLASH_VARIANT}")
ENDIF()

OPTION(PRINT_A4 "Build A4 PDF print version" ${TDD_PRINT_A4})
OPTION(PRINT_A3 "Build A3 PDF print version" ${TDD_PRINT_A3})
IF(PRINT_A4 OR PRINT_A3)
   LIST(APPEND TDD_RESOLUTIONS "2970x2100")
   LIST(APPEND TDD_VARIANTS    "${TDD_PRINT_VARIANT}")
ENDIF()


#############################################################################
# REQUIREMENTS
#############################################################################

INCLUDE(FindUnixCommands)

# ------ Required prgorams --------------------------------------------------
FIND_PROGRAM(AWK awk PATHS /bin /usr/bin /usr/local/bin)
IF(NOT AWK)
   MESSAGE(FATAL_ERROR
           " Cannot find AWK! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y awk\n"
           " * Fedora:        sudo dnf install -y awk\n"
           " * FreeBSD:       (should always be there!")
ENDIF()

FIND_PROGRAM(GM gm PATHS /bin /usr/bin /usr/local/bin)
IF(NOT GM)
   MESSAGE(FATAL_ERROR
           " Cannot find GraphicsMagick! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y graphicsmagick\n"
           " * Fedora:        sudo dnf install -y GraphicsMagick\n"
           " * FreeBSD:       sudo pkg install -y GraphicsMagick")
ENDIF()

FIND_PROGRAM(GIMP gimp PATHS /bin /usr/bin /usr/local/bin)
IF(NOT GIMP)
   MESSAGE(FATAL_ERROR
           " Cannot find Gimp! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y gimp\n"
           " * Fedora:        sudo dnf install -y gimp\n"
           " * FreeBSD:       sudo pkg install -y gimp")
ENDIF()

# NOTE: exiftool fails to handle GIMP-generated JPEG files under
# Debian Stretch and Ubuntu Trusty. Errors are just ignored in this case
# (i.e. the EXIF information will not be updated).
FIND_PROGRAM(EXIFTOOL exiftool PATHS /bin /usr/bin /usr/local/bin)
IF(NOT EXIFTOOL)
   MESSAGE(FATAL_ERROR
           " Cannot find ExifTool! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y libimage-exiftool-perl\n"
           " * Fedora:        sudo dnf install -y perl-Image-ExifTool\n"
           " * FreeBSD:       sudo pkg install -y p5-Image-ExifTool")
ENDIF()

# ------ Required scripts ---------------------------------------------------
FIND_PROGRAM(TEST_GIMP ${TDD_TEST_GIMP})
IF(NOT TEST_GIMP)
   MESSAGE(FATAL_ERROR "Test-Gimp (${TDD_TEST_GIMP}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_CROPPED ${TDD_MAKE_CROPPED})
IF(NOT MAKE_CROPPED)
   MESSAGE(FATAL_ERROR "Resize-with-Cropping (${TDD_MAKE_CROPPED}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_CAPTION ${TDD_MAKE_CAPTION})
IF(NOT MAKE_CAPTION)
   MESSAGE(FATAL_ERROR "Make-Caption (${TDD_MAKE_CAPTION}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_TEXT ${TDD_MAKE_TEXT})
IF(NOT MAKE_TEXT)
   MESSAGE(FATAL_ERROR "Make-Text (${TDD_MAKE_TEXT}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_BACKGROUND ${TDD_MAKE_BACKGROUND})
IF(NOT MAKE_BACKGROUND)
   MESSAGE(FATAL_ERROR "Make-Background (${TDD_MAKE_BACKGROUND}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_PAINTING ${TDD_MAKE_PAINTING})
IF(NOT MAKE_PAINTING)
   MESSAGE(FATAL_ERROR "Make-Painting (${TDD_MAKE_PAINTING}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_MOSAIC ${TDD_MAKE_MOSAIC})
IF(NOT MAKE_MOSAIC)
   MESSAGE(FATAL_ERROR "Make-Mosaic (${TDD_MAKE_MOSAIC}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_CLOTH ${TDD_MAKE_CLOTH})
IF(NOT MAKE_CLOTH)
   MESSAGE(FATAL_ERROR "Make-Cloth (${TDD_MAKE_CLOTH}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_OLDPHOTO ${TDD_MAKE_OLDPHOTO})
IF(NOT MAKE_OLDPHOTO)
   MESSAGE(FATAL_ERROR "Make-OldPhoto (${TDD_MAKE_OLDPHOTO}) not found!")
ENDIF()

# ------ Customised background scripts --------------------------------------
FIND_PROGRAM(BUILD_CAPTION ${TDD_BUILD_CAPTION})
IF(NOT BUILD_CAPTION)
   MESSAGE(FATAL_ERROR "Caption script (${TDD_BUILD_CAPTION}) not found!")
ENDIF()

FIND_PROGRAM(BUILD_OVERLAY ${TDD_BUILD_OVERLAY})
IF(NOT BUILD_OVERLAY)
   MESSAGE(FATAL_ERROR "Caption script (${TDD_BUILD_OVERLAY}) not found!")
ENDIF()


#############################################################################
# REQUIREMENTS
#############################################################################

IF(TDD_ADD_DIST_TARGET)
   SET(CPACK_SOURCE_GENERATOR "TGZ")
   SET(CPACK_SOURCE_PACKAGE_FILE_NAME
      "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
   SET(CPACK_SOURCE_IGNORE_FILES
      "${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}-*;${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}_*;/build/;/.git/;/.gimp/;/config.log;/CMakeFiles/;CMakeCache.txt$;.cmake$;.tar.gz$;/_CPack_Packages;/Makefile$;~$;/build-deb;/clean-deb;/filter-empty-entries;/make-symbols;/make-ppa;/make-deb;/debian.conf;/make-rpm;/rpm.conf;${CPACK_SOURCE_IGNORE_FILES};/Output/")

   INCLUDE(CPack)
   ADD_CUSTOM_TARGET(dist COMMAND +${CMAKE_MAKE_PROGRAM} clean package_source)
ENDIF()


#############################################################################
# BUILD TARGETS
#############################################################################

# NOTE: The following build rules use custom commands. They need additional
#       targets as well, to correctly run parallel builds! For details, see:
# https://samthursfield.wordpress.com/2015/11/21/cmake-dependencies-between-targets-and-files-and-custom-commands/

LIST(REMOVE_DUPLICATES TDD_RESOLUTIONS)
LIST(SORT TDD_RESOLUTIONS)
LIST(REMOVE_DUPLICATES TDD_IMAGE_FILES)
LIST(SORT TDD_IMAGE_FILES)
LIST(REMOVE_DUPLICATES TDD_TEXT_FILES)
LIST(SORT TDD_TEXT_FILES)
LIST(REMOVE_DUPLICATES TDD_VARIANTS)
LIST(SORT TDD_VARIANTS)

FILE(MAKE_DIRECTORY ${TDD_OUTPUT_DIRECTORY})


# ###### Create unique target name from file name ###########################
FUNCTION(makeUniqueTarget target fileName)
   # STRING(MAKE_C_IDENTIFIER ${fileName} result)
   SET(result ${fileName})
   STRING(REGEX REPLACE "[/\\ ]" "-"  result ${result})
   STRING(REPLACE "ä" "ae" result ${result})
   STRING(REPLACE "ö" "oe" result ${result})
   STRING(REPLACE "ü" "ue" result ${result})
   STRING(REPLACE "ß" "ss" result ${result})
   STRING(REPLACE "Ä" "AE" result ${result})
   STRING(REPLACE "Ö" "OE" result ${result})
   STRING(REPLACE "Ü" "UE" result ${result})
   STRING(REPLACE "æ" "ae" result ${result})
   STRING(REPLACE "ø" "oe" result ${result})
   STRING(REPLACE "å" "aa" result ${result})
   STRING(REPLACE "Æ" "AE" result ${result})
   STRING(REPLACE "Ø" "OE" result ${result})
   STRING(REPLACE "Å" "AA" result ${result})
   STRING(REGEX REPLACE "[áàǎã]" "a" result ${result})
   STRING(REGEX REPLACE "[ÁÀǍÃ]" "A" result ${result})
   STRING(REGEX REPLACE "[éèê]"  "e" result ${result})
   STRING(REGEX REPLACE "[ÉÈÊ]"  "E" result ${result})
   STRING(REGEX REPLACE "[^a-zA-Z0-9\\.@_+-]" "_X_" result ${result})
   SET(${target} ${result} PARENT_SCOPE)
ENDFUNCTION()


# ###### Initialise GIMP directory ##########################################
# Due to parallel runs of Gimp, make sure that gimp runs once allone first!
SET(GIMP_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${TDD_OUTPUT_DIRECTORY}/.gimp)
FILE(MAKE_DIRECTORY ${GIMP_DIRECTORY})
FILE(MAKE_DIRECTORY ${GIMP_DIRECTORY}/./gradients)   # For some reason, Gimp 2.10 does not create this directory but complains about it.
SET(gimpDirStamp "${GIMP_DIRECTORY}/gimp.stamp")
ADD_CUSTOM_COMMAND(OUTPUT  ${gimpDirStamp}
                   COMMAND env GIMP2_DIRECTORY=${GIMP_DIRECTORY} GIMP3_DIRECTORY=${GIMP_DIRECTORY} ${TEST_GIMP}
                   COMMAND touch ${gimpDirStamp})
ADD_CUSTOM_TARGET(generate_gimpDirStamp DEPENDS ${gimpDirStamp})


# ###### Generate text images ###############################################
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${TDD_OUTPUT_DIRECTORY}/Text)
FOREACH(textFile IN LISTS TDD_TEXT_FILES)
   STRING(REGEX REPLACE ".text$" ".png" textImage "${textFile}")
   GET_FILENAME_COMPONENT(textImage ${textImage} NAME)

   ADD_CUSTOM_COMMAND(OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${TDD_OUTPUT_DIRECTORY}/Text/${textImage}
                      COMMAND env GIMP2_DIRECTORY=${GIMP_DIRECTORY} GIMP3_DIRECTORY=${GIMP_DIRECTORY} MAKE_TEXT="${MAKE_TEXT}" OUTPUT="${CMAKE_CURRENT_BINARY_DIR}/${TDD_OUTPUT_DIRECTORY}/Text/${textImage}" ${BASH} ${textFile}
                      DEPENDS ${textFile}
                              generate_gimpDirStamp
                              ${gimpDirStamp})
   LIST(APPEND all_texts ${CMAKE_CURRENT_BINARY_DIR}/${TDD_OUTPUT_DIRECTORY}/Text/${textImage})
ENDFOREACH()
ADD_CUSTOM_TARGET(generate_all_texts DEPENDS ${all_texts})
# NOTE: all_texts is a LIST, while generate_all_texts is a TARGET!
# In the following, "DEPENDS generate_all_texts ${all_texts}" can be used.


# ###### Prepare input images ###############################################
SET(originalsDir "${CMAKE_INSTALL_DATADIR}/${TDD_INSTALL_SUBDIRECTORY}/${TDD_OUTPUT_ORIGINALS}")
FOREACH(image IN LISTS TDD_IMAGE_FILES)
   # ====== Install original ================================================
   IF(INSTALL_ORIGINALS)
      INSTALL(FILES ${image} DESTINATION ${originalsDir})
   ENDIF()

   # ====== Generate hostname graphics ======================================
   GET_FILENAME_COMPONENT(imageName ${image} NAME_WE)
   IF(imageName MATCHES ^[a-z])
      SET(hostname      "${imageName}.${TDD_DOMAIN}")

=== src/grub/CMakeLists.txt ===
#############################################################################
#### BOOTLOADER CONFIGURATION FILES                                      ####
#############################################################################

FILE(GLOB themeFiles  "[0-9][0-9]_*_theme")

# NOTE: themes are scripts!
INSTALL(PROGRAMS ${themeFiles} DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/grub.d)
INSTALL(FILES    grub-defaults DESTINATION ${CMAKE_INSTALL_DATADIR}/rserpooldemo)

=== src/nornet-mec-scenario/CMakeLists.txt ===
# ##########################################################################
#
#              //===//   //=====   //===//   //       //   //===//
#             //    //  //        //    //  //       //   //    //
#            //===//   //=====   //===//   //       //   //===<<
#           //   \\         //  //        //       //   //    //
#          //     \\  =====//  //        //=====  //   //===//   Version III
#
#             ###################################################
#           ======  D E M O N S T R A T I O N   S Y S T E M  ======
#             ###################################################
#
# ############# An Efficient RSerPool Prototype Implementation #############
#
#   Copyright (C) 2002-2025 by Thomas Dreibholz
#
#   Authors: Thomas Dreibholz, thomas.dreibholz@gmail.com
#            Sebastian Rohde, rohde@iem.uni-due.de
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

#############################################################################
#### SCENARIO FILES                                                      ####
#############################################################################

LIST(APPEND scenario_files
   nornet-mec-setup-localonly.xml
   nornet-mec-setup.xml
)

LIST(APPEND scenario_programs
   ComponentControl
   LocalScenario.config
   LocalScenario-StartAll
   LocalScenario-StopAll
   MEC-User.config
   PMC-User.config
   RemoteComponentControl
   RemoteScenario-StartAll
   RemoteScenario-StopAll
   RunProgram
)

INSTALL(FILES    ${scenario_files}    DESTINATION ${CMAKE_INSTALL_DATADIR}/rserpooldemo/nornet-mec-scenario)
INSTALL(PROGRAMS ${scenario_programs} DESTINATION ${CMAKE_INSTALL_DATADIR}/rserpooldemo/nornet-mec-scenario)

=== debian/changelog ===
rserpooldemo (3.2.3-1ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Closes: #999549 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 21 Sep 2025 17:45:30 +0200

rserpooldemo (3.2.2-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 08 Jul 2025 23:09:59 +0200

rserpooldemo (3.2.1-1ubuntu1) oracular; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 05 Jul 2025 16:40:36 +0200

rserpooldemo (3.2.0-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 21:30:28 +0100

rserpooldemo (3.1.7-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 07 Aug 2024 21:38:34 +0200

rserpooldemo (3.1.6-1ubuntu1) noble; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.0.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 08 Jun 2024 13:57:26 +0200

rserpooldemo (3.1.5-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 11 Apr 2024 15:01:33 +0200

rserpooldemo (3.1.4-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 19 Dec 2023 17:06:49 +0100

rserpooldemo (3.1.3-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:54:43 +0100

rserpooldemo (3.1.2-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 08 Feb 2023 11:45:13 +0100

rserpooldemo (3.1.1-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 11 Sep 2022 13:04:22 +0200

rserpooldemo (3.1.0-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 22 Aug 2022 20:28:51 +0200

rserpooldemo (3.0.6-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Feb 2022 11:46:11 +0100

rserpooldemo (3.0.5-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 14 Jun 2021 12:43:37 +0200

rserpooldemo (3.0.4-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.1.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Dec 2020 12:50:14 +0100

rserpooldemo (3.0.3-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 13 Nov 2020 19:01:40 +0100

rserpooldemo (3.0.2-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 09 Oct 2020 16:36:56 +0200

rserpooldemo (3.0.1-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.3.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 06 Oct 2020 20:50:54 +0200

rserpooldemo (3.0.0-1ubuntu1) focal; urgency=medium

  * New release.
  * debian/control: Updated standards version to 4.5.0.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 05 May 2020 13:16:54 +0200

=== debian/control ===
Source: rserpooldemo
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.nntb.no/~dreibh/rserpool/rserpool/
Vcs-Git: https://github.com/dreibh/rserpooldemo.git
Vcs-Browser: https://github.com/dreibh/rserpooldemo
Build-Depends: cmake,
               debhelper (>= 12),
               fonts-dejavu,
               fonts-noto-cjk,
               fonts-noto-hinted,
               ghostscript,
               gimp,
               graphicsmagick,
               gsfonts,
               libgl-dev,
               libimage-exiftool-perl,
               qt6-base-dev | qtbase5-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: rserpooldemo-management
Architecture: all
Depends: apt-file,
         apt-show-versions,
         bash-completion,
         bc,
         bridge-utils,
         btrfs-progs | btrfs-tools,
         bwm-ng,
         colordiff,
         cron,
         cron-apt,
         eatmydata,
         ethtool,
         git,
         gpm,
         hping3,
         htop,
         idn,
         ifupdown,
         joe,
         lksctp-tools,
         mlocate | plocate,
         net-tools,
         netperfmeter,
         nmap,
         ntpdate,
         reiserfsprogs,
         reprepro,
         rsplib-docs,
         rsplib-services,
         rsplib-tools,
         smartmontools,
         snmp,
         software-properties-common,
         subnetcalc,
         tcpdump,
         tftp | tftp-hpa,
         traceroute,
         tree,
         virt-what,
         vlan,
         whois,
         xz-utils (>= 5.2.0) | pxz,
         ${misc:Depends}
Recommends: apport-retrace,
            language-pack-de-base,
            language-pack-en-base,
            language-pack-nb-base,
            tshark
Description: Management tools for the RSerPool Demo system
 This metapackage contains basic software for RSerPoolDemo system management.
 The software installed provides a common working environment.
 .
 See https://www.nntb.no/~dreibh/rserpool/ for details on RSerPool and the
 RSerPoolDemo tool!

Package: rserpooldemo-development
Architecture: all
Depends: autoconf,
         automake,
         bc,
         bison,
         clang,
         cmake,
         debhelper,
         devscripts,
         dia,
         flex,
         fonts-dejavu,
         fonts-noto-cjk,
         fonts-noto-hinted,
         gdb,
         ghostscript,
         gnupg,
         graphicsmagick,
         gsfonts,
         libbz2-dev,
         libcpprspserver-dev,
         libglib2.0-dev,
         libimage-exiftool-perl,
         libpcap-dev,
         librsplib-dev,
         libsctp-dev,
         libtool,
         pbuilder,
         qtbase5-dev,
         quilt,
         r-base,
         r-cran-ggplot2,
         r-cran-hmisc,
         rpm,
         rserpooldemo-management (= ${binary:Version}),
         sysvbanner,
         texlive-extra-utils,
         texlive-font-utils,
         valgrind,
         ${misc:Depends}
Recommends: ubuntu-dev-tools
Description: Development tools for the RSerPool Demo system
 This metapackage contains basic software for RSerPoolDemo development.
 The software installed provides a common working environment.
 .
 See https://www.nntb.no/~dreibh/rserpool/ for details on RSerPool and the
 RSerPoolDemo tool!

Package: rserpooldemo-desktop
Architecture: all
Depends: firefox | firefox-esr,
         kubuntu-desktop | neon-desktop | kde-standard | deepin-desktop-environment | lubuntu-desktop | ubuntu-desktop,
         rserpooldemo-management (= ${binary:Version}),
         sddm | kdm | lightdm | gdm3,
         ${misc:Depends}
Description: Desktop setup for the RSerPool Demo system
 This package contains the scripts to configure a RSerPoolDemo desktop.
 .
 See https://www.nntb.no/~dreibh/rserpool/ for details on RSerPool and the
 RSerPoolDemo tool!

Package: rserpooldemo-scenario-cfgfiles
Architecture: all
Depends: rsplib-fgp-cfgfiles,
         ${misc:Depends}
Recommends: rsplib-registrar
Description: Scenario configuration files for the RSerPool Demo system
 This package contains the scenario files for the RSerPoolDemo tool.
 .
 See https://www.nntb.no/~dreibh/rserpool/ for details on RSerPool and the
 RSerPoolDemo tool!

Package: rserpooldemo-tool
Architecture: any
Depends: rserpooldemo-management (>= ${source:Version}),
         rserpooldemo-scenario-cfgfiles (>= ${source:Version}),
         rsplib-fractalpooluser,
         rsplib-registrar,
         rsplib-services,
         rsplib-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fractgen
Description: GUI tool for the RSerPool Demo system
 This package contains the RSerPoolDemo tool.
 .
 See https://www.nntb.no/~dreibh/rserpool/ for details on RSerPool and the
 RSerPoolDemo tool!

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://packages.nntb.no/software/rserpooldemo  rserpooldemo-(.*)\.tar\.xz
